package com.sf.day24;

import java.lang.annotation.*;

/**
 * 数据库中 字段    -====  java  属性
 * java:
 * 实体类      属性
 * User      id  name
 *
 * mysql
 * 数据库表(表)    字段
 * user         id  name
 *
 *
 * 效果  @Column(columnName = "id",columnType = "int")
 */
@Inherited
@Target(ElementType.FIELD)   //注解作用在属性上
@Retention(RetentionPolicy.RUNTIME)
public @interface Column {
    String columnName();
    String columnType();
}
